Bug 980269 - TMX export on projects without translations causes internal server error 500
TMX export on projects without translations causes internal server error 500
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
All All
low Severity medium
: ---
: ---
Assigned To: Sean Flanigan
Damian Jansen
Depends On:
  Show dependency treegraph
Reported: 2013-07-01 19:22 EDT by Damian Jansen
Modified: 2013-11-26 22:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
H2 database only
Last Closed: 2013-11-26 22:32:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-07-01 19:22:21 EDT
Description of problem:
Assuming there's no check before attempting to export to tmx, the database encounters an error when there are no items to export.

Version-Release number of selected component (if applicable):

How reproducible:
Moderate, always

Steps to Reproduce:
1. New instance of Zanata server required, i.e. no projects created
2. Click Projects in menu
3. Click Export all projects to TMX
4. Click OK in "Are you sure..." dialog

Actual results:
| JBWEB000065: HTTP Status 500 - Error processing Request
| JBWEB000309: type JBWEB000067: Status report
| JBWEB000068: message Error processing Request
| JBWEB000069: description JBWEB000145: The server encountered an internal error that prevented it from fulfilling this request.
| JBoss Web/7.2.0.Final

Expected results:
Something along the lines of an error box - "No TMXs to Export!"
Comment 1 Damian Jansen 2013-07-01 19:41:28 EDT
Appears to only affect the product if running on a h2 database which, as far as expected, in only used for development and testing. Dropping to medium priority/severity.

Exporting an empty project should come with a warning of some sort, but it's a "nice to have" rather than a problematic defect.

Related to 980271
Comment 2 Sean Flanigan 2013-07-02 00:05:20 EDT
Could you attach please the tail of server.log/container.log when this happens (or any other 500 error)?
Comment 3 Sean Flanigan 2013-07-02 02:23:35 EDT
This /might/ be fixed by https://github.com/zanata/zanata-server/pull/15
Comment 4 Damian Jansen 2013-08-08 23:59:17 EDT
Verified at be36d87e795bb0b5401f8bb233de339d7927aba8
Comment 5 Sean Flanigan 2013-11-26 22:32:39 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.